View Issue Details

IDProjectCategoryView StatusLast Update
0023225LazarusWidgetsetpublic2019-04-22 17:33
ReporterMartin Friebe Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.1 (SVN) 
Summary0023225: QT: Listview does not clear icons
DescriptionIf an ion is set to a cell (listview with columns), and then removed, it will still be displayed.

Open debug/History window (to fill with entries debug any app, and hit a few breakpoints).

Double click an entry, will set a green arrow.
Double click again, double click another entry will remove it (or should)

In QT it does not
TagsNo tags attached.
Fixed in Revision39218
LazTarget-
WidgetsetQT
Attached Files

Activities

Zeljan Rikalo

2012-10-28 16:32

developer   ~0063525

pls. attach example.

2012-10-30 01:19

 

qt_listview.zip (2,612 bytes)

Martin Friebe

2012-10-30 01:21

manager   ~0063560

Button1 will show a breakpoint symbol on the 2nd line.
Button2 will/should clear it.

Works on native windows. But does not on QT (under win).

Zeljan Rikalo

2012-11-01 09:10

developer   ~0063594

Pls. test and close if ok.

Issue History

Date Modified Username Field Change
2012-10-27 15:46 Martin Friebe New Issue
2012-10-27 15:46 Martin Friebe LazTarget => -
2012-10-27 15:46 Martin Friebe Widgetset => QT
2012-10-28 16:31 Zeljan Rikalo Status new => assigned
2012-10-28 16:31 Zeljan Rikalo Assigned To => Zeljan Rikalo
2012-10-28 16:32 Zeljan Rikalo Note Added: 0063525
2012-10-28 16:32 Zeljan Rikalo Status assigned => feedback
2012-10-30 01:19 Martin Friebe File Added: qt_listview.zip
2012-10-30 01:21 Martin Friebe Note Added: 0063560
2012-11-01 09:10 Zeljan Rikalo Fixed in Revision => 39218
2012-11-01 09:10 Zeljan Rikalo Status feedback => resolved
2012-11-01 09:10 Zeljan Rikalo Resolution open => fixed
2012-11-01 09:10 Zeljan Rikalo Note Added: 0063594
2019-04-22 17:33 Martin Friebe Status resolved => closed